Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Parameters.cpp	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/src/Parameters.cpp	(revision 115)
@@ -19,16 +19,17 @@
 #undef  FUNCTION
 #define FUNCTION "Write_unit::Parameters"
-  Parameters::Parameters (uint32_t size_write_queue   ,
-			  uint32_t size_execute_queue ,
-			  uint32_t nb_context         ,
-			  uint32_t nb_front_end       ,
-			  uint32_t nb_ooo_engine      ,
-			  uint32_t nb_packet          ,
-			  uint32_t size_general_data  ,
-			  uint32_t nb_general_register,
-			  uint32_t size_special_data  ,
-			  uint32_t nb_special_register,
-			  uint32_t nb_bypass_write    ,
-                          bool     is_toplevel        ):
+  Parameters::Parameters (uint32_t              size_write_queue   ,
+			  uint32_t              size_execute_queue ,
+			  uint32_t              nb_context         ,
+			  uint32_t              nb_front_end       ,
+			  uint32_t              nb_ooo_engine      ,
+			  uint32_t              nb_packet          ,
+			  uint32_t              size_general_data  ,
+			  uint32_t              nb_general_register,
+			  uint32_t              size_special_data  ,
+			  uint32_t              nb_special_register,
+			  uint32_t              nb_bypass_write    ,
+			  write_queue::Twrite_queue_scheme_t write_queue_scheme ,
+			  bool                  is_toplevel):
     behavioural::Parameters("Write_unit")
   {
@@ -44,5 +45,6 @@
     _nb_special_register          = nb_special_register;
     _nb_bypass_write              = nb_bypass_write    ;
-                                  
+    _write_queue_scheme           = write_queue_scheme ;
+
     _nb_gpr_write                 = 1;
     _nb_spr_write                 = 1;
@@ -50,24 +52,27 @@
     _have_component_execute_queue = _size_execute_queue > 0;
                                   
-    _param_write_queue  = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue  ::Parameters(_size_write_queue   ,
-																		    _nb_context         ,
-																		    _nb_front_end       ,
-																		    _nb_ooo_engine      ,
-																		    _nb_packet          ,
-																		     size_general_data  ,
-																		    _nb_general_register,
-																		     size_special_data  ,
-																		    _nb_special_register,
-																		    _nb_bypass_write    );
+    _param_write_queue  = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::write_queue  ::Parameters
+      (_size_write_queue   ,
+       _nb_context         ,
+       _nb_front_end       ,
+       _nb_ooo_engine      ,
+       _nb_packet          ,
+        size_general_data  ,
+       _nb_general_register,
+        size_special_data  ,
+       _nb_special_register,
+       _nb_bypass_write    ,
+       _write_queue_scheme );
     
     if (_have_component_execute_queue)
-      _param_execute_queue  = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::execute_queue::Parameters(_size_execute_queue   ,
-																			_nb_context         ,
-																			_nb_front_end       ,
-																			_nb_ooo_engine      ,
-																			_nb_packet          ,
-																			 size_general_data  ,
-																			 size_special_data  );
-
+      _param_execute_queue  = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_write_unit::write_unit::execute_queue::Parameters
+	(_size_execute_queue ,
+	 _nb_context         ,
+	 _nb_front_end       ,
+	 _nb_ooo_engine      ,
+	 _nb_packet          ,
+	  size_general_data  ,
+	  size_special_data  );
+    
     test();
 
